ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ZenLib::Format::Http::Request Class Reference

`#include <Http_Request.h>`

## Public Member Functions
| Request ()
| Request (const Request &Req)
| ~Request ()
bool | Http_Begin (std::istream &In, std::ostream &Out)
void | Http_End (std::ostream &Out)

## Public Attributes
ZenLib::Format::Http::Handler * | Http
bool | IsCopy

## Constructor & Destructor Documentation

ZenLib::Format::Http::Request::Request | ( |  | ) |

ZenLib::Format::Http::Request::Request | ( | const Request & | Req | ) |

ZenLib::Format::Http::Request::~Request | ( |  | ) |

## Member Function Documentation

bool ZenLib::Format::Http::Request::Http_Begin | ( | std::istream & | In,
|  | std::ostream & | Out
| ) |  |

void ZenLib::Format::Http::Request::Http_End | ( | std::ostream & | Out | ) |

## Member Data Documentation

ZenLib::Format::Http::Handler* ZenLib::Format::Http::Request::Http

bool ZenLib::Format::Http::Request::IsCopy

The documentation for this class was generated from the following file:

- Http_Request.h